server {
    listen 80 default_server;
    listen [::]:80 default_server;
    server_name localhost;
    index index.php index.html;
    root /var/www/public;
    client_max_body_size 900M;
    client_body_buffer_size 900M;

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location ~ /\.ht {
  		  allow all;
  	}

    location ~ \.php$ {
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php-fpm.sock;
        fastcgi_index index.php;
        include fastcgi_params;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param PATH_INFO $fastcgi_path_info;
        fastcgi_read_timeout 10000;
    }

    location ~ ^/api/(status|ping)$ {
       fastcgi_split_path_info ^(.+\.php)(/.+)$;
       fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
       fastcgi_pass unix:/var/run/php-fpm.sock;
       include fastcgi_params;
    }

    location ~* \.(jpg|jpeg|gif|png|css|js|ico|xml)$ {
        expires 5d;
    }
}
